require 'java'

include_class 'com.mamezou.scripting.jruby.notinline.Robot'

class RubyHello < Robot

  Messages = {
    "morning" => "͂悤I <name>łI",
    "afternoon" => "ɂ́I <name>łI",
    "evening" => "΂́I <name>łI",
    "midnight" => "₷݂ȂB Zzz..."
    }

  def getMessage()
    now = Time.now
    if 6 <= now.hour && now.hour <= 12 
      timing = "morning"
    elsif 12 < now.hour && now.hour <= 16
      timing = "afternoon"
    elsif 16 < now.hour && now.hour <= 22
      timing = "evening"
    else 
      timing = "midnight"
    end      

    message = Messages[timing]
    message.gsub! /\<name\>/, @name
    
    return message
  end
  
  def setName(name)
    @name = name
  end
  
end