package com.mamezou.scripting.evaluate;

import org.springframework.beans.factory.BeanFactory;
import org.springframework.context.support.ClassPathXmlApplicationContext;

public class EvaluationExample {
    public static void main(String[] args) {
        BeanFactory applicationContext = new ClassPathXmlApplicationContext(
                "/com/mamezou/scripting/evaluate/ApplicationContext.xml");

        Evaluator evaluator = (Evaluator) applicationContext.getBean("evaluator");
        String expression = "a = 10; b = 20; a + b";
        System.out.println("expression = [" + expression + "]");
        System.out.println("result = [" + evaluator.evaluate(expression) + "]");
        
    }
}
